
QGIS Application - Bug report #4427

Disable options for interpretation of above/below and distancing when online labelling is selected

2011-10-22 02:34 PM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14359

Description

The following changes since commit:a2a6e78675833a4db0286a85354bf168032d2b49:

  Juergen E. Fischer (1):

        more cosmetics

are available in the git repository at:

git@github.com:strk/Quantum-GIS.git labelui

Sandro Santilli (1):

      Disable options related to interpretation and treatment of above/below line labeling when online labeling is requested.

src/app/qgslabelinggui.cpp   |    5 +++

 src/ui/qgslabelingguibase.ui |   10 ++++++++

 2 files changed, 15 insertions(+), 0 deletions(-)

History

#1 - 2011-11-08 07:20 AM - Martin Dobias

Applied in commit:627d25c6

btw. the easiest way how to provide patches (when you host your fork on github) is to do a pull request.

#2 - 2011-11-08 07:20 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

#3 - 2011-11-08 07:32 AM - Sandro Santilli

Martin Dobias wrote:

Applied in commit:627d25c6

btw. the easiest way how to provide patches (when you host your fork on github) is to do a pull request.

Thanks.

Note that I'm intentionally avoiding the "github way" as I belive it's a bad habit to rely on proprietary tools (and graphical interfaces too, but that's a minor

thing).
Once you add a remote pointing to my fork pulling the change is a easy as 

"git pull strk labelui" 

or whatever I advertise as the branch containing the contribution.

#4 - 2011-11-08 12:08 PM - Martin Dobias

Sandro Santilli wrote:

Note that I'm intentionally avoiding the "github way" as I belive it's a bad habit to rely on proprietary tools (and graphical interfaces too, but that's a

minor thing).

Once you add a remote pointing to my fork pulling the change is a easy as 

"git pull strk labelui" 

or whatever I advertise as the branch containing the contribution.

Okay - didn't know it was intentional. Anyway in my opinion rather than "relying" on the proprietary tools (github) we may use them to increase the

productivity... we can stop using it any time. For small patches the pull requests are really useful - one click to merge instead of having to add remotes, do

pulls/pushes and review changes in terminal.
